<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  props: {
    data: {
      type: Object,
      required: true,
      default() {
        return {};
      },
    },
  },
});
</script>

<template>
  <div class="links-wrapper" :class="`links-wrapper--${data.theme}`">
    <SlpTypography class="header" variant="heading2-bold" tag="h2">
      {{ data.header }}
    </SlpTypography>
    <div class="links-container">
      <SlpButton
        v-for="link in data.links"
        :key="link.text"
        variant="ghost"
        :href="link.url"
        class="link-button"
      >
        <div class="link">
          <SlpIcon
            name="external-link"
            variant="marketing"
            alt="Docs Icon"
            size="lg"
            hex-color="#A989F5"
          />
          <SlpTypography class="link-text" variant="heading3-bold">{{
            link.text
          }}</SlpTypography>
        </div>
      </SlpButton>
    </div>
  </div>
</template>

<style lang="scss" scoped>
@property --backgroundColor {
  syntax: '<color>';
  initial-value: #171321;
  inherits: false;
}

@property --borderColor1 {
  syntax: '<color>';
  initial-value: #e2b6f1;
  inherits: false;
}
@property --borderColor2 {
  syntax: '<color>';
  initial-value: #a989f5;
  inherits: false;
}
.links {
  &-wrapper {
    color: $color-surface-900;
    margin: $spacing-160 0;
    .header {
      max-width: 40%;
      margin: $spacing-64 0;
      @media (max-width: $breakpoint-lg) {
        max-width: 100%;
        margin: $spacing-48 0;
      }
    }
    &--light {
      color: $color-primary-200;
      .links-container .link {
        background: transparent;
        border: 1px solid $color-primary-200;
        border-radius: 4px;
        color: $color-primary-200;
        transition: all 0.4s ease;
        :deep .slp-icon {
          color: $color-primary-200 !important;
          transition: all 0.4s ease;
        }
        &:hover {
          background-color: $color-primary-200;
          color: $color-primary-300;
        }
      }
      .header {
        width: 100%;
      }
    }
  }
  &-container {
    display: flex;
    justify-content: flex-start;
    @media (max-width: $breakpoint-lg) {
      display: grid;
      grid-template-columns: 1fr 1fr;
      gap: $spacing-24;
    }
    .link-button {
      padding: 0;
      @media (min-width: $breakpoint-lg) {
        margin-right: 40px;
      }
    }
    .link {
      border: 1px solid;
      width: 200px;
      border-radius: 4px;
      background: linear-gradient(
            90deg,
            var(--backgroundColor) 0%,
            var(--backgroundColor) 100%
          )
          padding-box,
        linear-gradient(90deg, var(--borderColor1) 0%, var(--borderColor2) 100%)
          border-box;
      border-image-source: linear-gradient(
        90deg,
        var(--borderColor1) 0%,
        var(--borderColor2) 100%
      );
      color: $color-surface-900;
      padding: $spacing-16 $spacing-32;
      display: flex;
      justify-content: center;
      transition: --backgroundColor 0.3s;
      &:hover {
        // Done this way (with @property) because just changing the background gradient does not support transitions.
        --backgroundColor: #7759c2;
        .slp-icon {
          color: white !important;
          transition: color 0.3s;
        }
      }
      span {
        margin-left: $spacing-16;
      }

      @media (max-width: $breakpoint-lg) {
        padding: $spacing-16;
        .link-text {
          font-size: 28px !important;
          line-height: 28px !important;
        }
        .slp-icon {
          width: 24px;
          height: 24px;
        }
      }
    }
  }
}
</style>
